summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xBuild/source/texk/texlive/linked_scripts/bundledoc/arlatex2
-rwxr-xr-xBuild/source/texk/texlive/linked_scripts/bundledoc/bundledoc79
-rw-r--r--Master/texmf-dist/doc/support/bundledoc/README20
-rwxr-xr-xMaster/texmf-dist/scripts/bundledoc/arlatex2
-rwxr-xr-xMaster/texmf-dist/scripts/bundledoc/bundledoc79
-rw-r--r--Master/texmf/doc/man/man1/arlatex.14
-rw-r--r--Master/texmf/doc/man/man1/arlatex.man1.pdfbin10122 -> 10147 bytes
-rw-r--r--Master/texmf/doc/man/man1/bundledoc.119
-rw-r--r--Master/texmf/doc/man/man1/bundledoc.man1.pdfbin22617 -> 23377 bytes
-rwxr-xr-xMaster/tlpkg/libexec/ctan2tds5
10 files changed, 140 insertions, 70 deletions
diff --git a/Build/source/texk/texlive/linked_scripts/bundledoc/arlatex b/Build/source/texk/texlive/linked_scripts/bundledoc/arlatex
index 3b94dcaff52..bb7e5d304bc 100755
--- a/Build/source/texk/texlive/linked_scripts/bundledoc/arlatex
+++ b/Build/source/texk/texlive/linked_scripts/bundledoc/arlatex
@@ -9,7 +9,7 @@
########################################################################
# arlatex #
-# Copyright (C) 2010 Scott Pakin #
+# Copyright (C) 2011 Scott Pakin #
# #
# This program may be distributed and/or modified under the conditions #
# of the LaTeX Project Public License, either version 1.3c of this #
diff --git a/Build/source/texk/texlive/linked_scripts/bundledoc/bundledoc b/Build/source/texk/texlive/linked_scripts/bundledoc/bundledoc
index 169ca869ab3..322b88237a0 100755
--- a/Build/source/texk/texlive/linked_scripts/bundledoc/bundledoc
+++ b/Build/source/texk/texlive/linked_scripts/bundledoc/bundledoc
@@ -7,7 +7,7 @@
########################################################################
# bundledoc #
-# Copyright (C) 2010 Scott Pakin #
+# Copyright (C) 2011 Scott Pakin #
# #
# This program may be distributed and/or modified under the conditions #
# of the LaTeX Project Public License, either version 1.3c of this #
@@ -25,10 +25,10 @@
########################################################################
use 5.006; # Fail gracefully if we're not using Perl v5.6.0.
-our $VERSION = "3.0"; # Specify the version of bundledoc.
+our $VERSION = "3.1"; # Specify the version of bundledoc.
use File::Basename;
use File::Copy;
-use File::Spec::Functions qw(catfile devnull rel2abs rootdir updir);
+use File::Spec::Functions qw(abs2rel catfile devnull rel2abs rootdir updir);
use File::Path;
use Getopt::Long;
use Pod::Usage;
@@ -55,8 +55,8 @@ my $manifest = "MANIFEST";
my $progname = basename($0);
# Other global variables
-my ($verbose, $keepdirs, $depfile, $localonly); # Taken from the command line
-my (@exclude_files, @include_files); # Taken from the command line
+my ($verbose, $keepdirs, $depfile, $localonly); # Taken from the command line
+my (@exclude_files, @include_files, @listdeps); # Taken from the command line
my ($texfile, $docdirname); # Derived from $depfile
my %subdirs; # Map from a qualified name to its subdirectory
@@ -141,9 +141,9 @@ sub find_dependencies ()
my $filename = $2;
my $versioninfo = $3;
- # Extract the subdirectory if one exists.
- my $subdir = dirname $filename;
- my $qname = "";
+ # Extract the subdirectory if one exists.
+ my $subdir = dirname $filename;
+ my $qname = "";
# Determine what to do based on the file type.
# NOTE: The PROCESSDEP block currently ignores the following
@@ -168,13 +168,13 @@ sub find_dependencies ()
};
}
- # If the file is of one of the above types, add the qualified
- # name to the list of dependencies. In addition, if it is in
- # a proper subdirectory, add an entry to the subdirs hash.
- unless ($qname eq "") {
- push @dependencies, $qname;
- $subdirs{$qname} = $subdir unless $subdir eq ".";
- }
+ # If the file is of one of the above types, add the qualified
+ # name to the list of dependencies. In addition, if it is in
+ # a proper subdirectory, add an entry to the subdirs hash.
+ unless ($qname eq "") {
+ push @dependencies, $qname;
+ $subdirs{$qname} = $subdir unless $subdir eq ".";
+ }
}
close DEPFILE;
@dependencies = sort @dependencies;
@@ -235,6 +235,13 @@ sub find_dependencies ()
print "REMOVING $numdups duplicate file(s)\n" if $verbose && $numdups;
@dependencies = sort keys %uniquedeps;
+ # If --listdeps was specified, output the list of dependencies.
+ if (@listdeps) {
+ @dependencies = map {abs2rel($_)} @dependencies if grep /^rel$/, @listdeps;
+ print join("\n", @dependencies), "\n";
+ exit 0 if grep /^only$/, @listdeps;
+ }
+
# Return the list of dependencies.
return @dependencies;
}
@@ -255,15 +262,16 @@ GetOptions ('texfile=s' => \$texfile,
'include=s' => \@include_files,
'config=s' => sub { process_config_file($_[1]) },
'verbose!' => \$verbose,
+ 'listdeps=s' => \@listdeps,
'version' => sub { print "bundledoc $VERSION\n"; exit -1 },
- 'help' => \$showhelp) || pod2usage (-exitval => -1, -verbose => 0);
+ 'help' => \$showhelp) || pod2usage (-exitval => 1, -verbose => 0);
pod2usage (-exitval => 0,
-verbose => 1) if $showhelp && $verbose;
pod2usage (-message => "(For more detailed help, enter \"$0 --help --verbose\".)",
-exitval => 0,
-verbose => 0) if $showhelp;
pod2usage (-message => "${progname}: Too few arguments",
- -exitval => -1,
+ -exitval => 1,
-verbose => 0) if $#ARGV==-1;
$depfile = shift; # Dependencies from snapshot.sty
($texfile = $depfile) =~ s/\.[^.]*$/.tex/ if !$texfile; # Main LaTeX source file
@@ -272,6 +280,17 @@ $depfile = shift; # Dependencies from snapshot.sty
print "BDBASE = '$ENV{BDBASE}'\n" if $verbose;
$ENV{"BDBASE"} = "\"$ENV{BDBASE}\"";
+# Expand and sanity check @listdeps.
+@listdeps = map {s/\s+//g; split /,/} @listdeps;
+foreach my $ldep (@listdeps) {
+ if ($ldep !~ /^(rel|only|yes|no)$/) {
+ pod2usage (-message => "${progname}: Invalid --listdeps option \"$ldep\"",
+ -exitval => 1,
+ -verbose => 0);
+ }
+}
+@listdeps = () if grep /^no$/, @listdeps;
+
# Create a bundled file.
my @dependencies = find_dependencies();
if ($keepdirs) {
@@ -307,11 +326,11 @@ else {
}
if ($manifest ne "") {
my $manifest = catfile $tempdir2, $manifest;
- my $manifestdir = dirname $manifest;
- unless (-d $manifestdir) {
- print "CREATING $manifestdir\n" if $verbose;
- mkpath($manifestdir, 0, 0777) || die "${progname}: $! ($manifestdir)\n";
- }
+ my $manifestdir = dirname $manifest;
+ unless (-d $manifestdir) {
+ print "CREATING $manifestdir\n" if $verbose;
+ mkpath($manifestdir, 0, 0777) || die "${progname}: $! ($manifestdir)\n";
+ }
print "WRITING $manifest\n" if $verbose;
open (MANIFEST, ">$manifest") || die "${progname}: $! ($manifest)\n";
print MANIFEST join ("\n", @dependencies), "\n";
@@ -355,6 +374,7 @@ bundledoc
[B<--exclude>=I<string>]
[B<--include>=I<filespec>]
[B<--manifest>=I<file>]
+[B<-->B<listdeps>=[yes|no|only|rel]...]
[B<-->[B<no>]B<keepdirs>]
[B<--config>=I<file>]
I<.dep file>
@@ -399,8 +419,8 @@ also be given:
=item B<--version>
-Output the B<bundledoc> script's version number. This overrides all the
-remaining options.
+Output the B<bundledoc> script's version number. This overrides all
+of the remaining options.
=item B<--help>
@@ -411,7 +431,6 @@ Give a brief usage message. This overrides all of the remaining options.
B<bundledoc> normally does not output anything except error messages.
With C<--verbose>, it outputs copious status messages.
-
=item B<--texfile>=I<main .tex file> (default: I<somefile>F<.tex>)
B<snapshot>'s dependency file does not list the main LaTeX file (the
@@ -463,6 +482,16 @@ something else, use the C<--manifest> option. As a special case,
C<--manifest=""> tells B<bundledoc> not to include a manifest file at
all.
+=item B<--listdeps>=[yes|no|only|rel]...] (default: C<no>)
+
+C<--listdeps> accepts one or more of C<yes>, C<no>, C<only>, or C<rel>
+as a comma-separated list. As long as C<no> does not appear in this
+list, B<bundledoc> outputs all of the main LaTeX file's dependencies.
+If the list contains C<rel>, then B<bundledoc> outputs the list of
+dependencies with relative pathnames. If the list contains C<only>,
+then B<bundledoc> exits after displaying the list, without producing
+an archive.
+
=item B<-->[B<no>]B<keepdirs> (default: C<nokeepdirs>)
Normally, the archive file that B<bundledoc> produces contains a
diff --git a/Master/texmf-dist/doc/support/bundledoc/README b/Master/texmf-dist/doc/support/bundledoc/README
index f6ee8c586a3..aadadd92f5c 100644
--- a/Master/texmf-dist/doc/support/bundledoc/README
+++ b/Master/texmf-dist/doc/support/bundledoc/README
@@ -25,15 +25,15 @@ as its archiver in place of tar, zip, etc.
Files
-----
--rwxrwxr-x 1 pakin users 9595 2010-04-09 17:09 arlatex
--rw-rw-r-- 1 pakin users 10061 2010-04-09 17:09 arlatex.1
--rw-rw-r-- 1 pakin users 9852 2010-04-10 11:11 arlatex.pdf
--rwxrwxr-x 1 pakin users 27435 2010-04-09 17:06 bundledoc
--rw-rw-r-- 1 pakin users 21738 2010-04-09 17:06 bundledoc.1
--rw-rw-r-- 1 pakin users 21663 2010-04-10 11:11 bundledoc.pdf
--rw-rw-r-- 1 pakin users 344 2006-03-11 18:44 miktex.cfg
--rw-rw-r-- 1 pakin users 4397 2010-04-10 11:11 README
--rw-rw-r-- 1 pakin users 230 2010-04-09 16:45 texlive-unix.cfg
+-rwxrwxr-x 1 pakin users 9595 May 1 15:24 arlatex
+-rw-rw-r-- 1 pakin users 10063 May 2 08:06 arlatex.1
+-rw-rw-r-- 1 pakin users 9551 May 2 08:06 arlatex.pdf
+-rwxrwxr-x 1 pakin users 28763 May 2 07:57 bundledoc
+-rw-rw-r-- 1 pakin users 22574 May 2 08:06 bundledoc.1
+-rw-rw-r-- 1 pakin users 21959 May 2 08:06 bundledoc.pdf
+-rw-rw-r-- 1 pakin users 344 Mar 11 2006 miktex.cfg
+-rw-rw-r-- 1 pakin users 4361 May 2 08:06 README
+-rw-rw-r-- 1 pakin users 230 Apr 9 2010 texlive-unix.cfg
Requirements
@@ -83,7 +83,7 @@ Copyright and license
---------------------
bundledoc
- Copyright (C) 2010 Scott Pakin
+ Copyright (C) 2011 Scott Pakin
This program may be distributed and/or modified under the conditions
of the LaTeX Project Public License, either version 1.3c of this
diff --git a/Master/texmf-dist/scripts/bundledoc/arlatex b/Master/texmf-dist/scripts/bundledoc/arlatex
index 3b94dcaff52..bb7e5d304bc 100755
--- a/Master/texmf-dist/scripts/bundledoc/arlatex
+++ b/Master/texmf-dist/scripts/bundledoc/arlatex
@@ -9,7 +9,7 @@
########################################################################
# arlatex #
-# Copyright (C) 2010 Scott Pakin #
+# Copyright (C) 2011 Scott Pakin #
# #
# This program may be distributed and/or modified under the conditions #
# of the LaTeX Project Public License, either version 1.3c of this #
diff --git a/Master/texmf-dist/scripts/bundledoc/bundledoc b/Master/texmf-dist/scripts/bundledoc/bundledoc
index 169ca869ab3..322b88237a0 100755
--- a/Master/texmf-dist/scripts/bundledoc/bundledoc
+++ b/Master/texmf-dist/scripts/bundledoc/bundledoc
@@ -7,7 +7,7 @@
########################################################################
# bundledoc #
-# Copyright (C) 2010 Scott Pakin #
+# Copyright (C) 2011 Scott Pakin #
# #
# This program may be distributed and/or modified under the conditions #
# of the LaTeX Project Public License, either version 1.3c of this #
@@ -25,10 +25,10 @@
########################################################################
use 5.006; # Fail gracefully if we're not using Perl v5.6.0.
-our $VERSION = "3.0"; # Specify the version of bundledoc.
+our $VERSION = "3.1"; # Specify the version of bundledoc.
use File::Basename;
use File::Copy;
-use File::Spec::Functions qw(catfile devnull rel2abs rootdir updir);
+use File::Spec::Functions qw(abs2rel catfile devnull rel2abs rootdir updir);
use File::Path;
use Getopt::Long;
use Pod::Usage;
@@ -55,8 +55,8 @@ my $manifest = "MANIFEST";
my $progname = basename($0);
# Other global variables
-my ($verbose, $keepdirs, $depfile, $localonly); # Taken from the command line
-my (@exclude_files, @include_files); # Taken from the command line
+my ($verbose, $keepdirs, $depfile, $localonly); # Taken from the command line
+my (@exclude_files, @include_files, @listdeps); # Taken from the command line
my ($texfile, $docdirname); # Derived from $depfile
my %subdirs; # Map from a qualified name to its subdirectory
@@ -141,9 +141,9 @@ sub find_dependencies ()
my $filename = $2;
my $versioninfo = $3;
- # Extract the subdirectory if one exists.
- my $subdir = dirname $filename;
- my $qname = "";
+ # Extract the subdirectory if one exists.
+ my $subdir = dirname $filename;
+ my $qname = "";
# Determine what to do based on the file type.
# NOTE: The PROCESSDEP block currently ignores the following
@@ -168,13 +168,13 @@ sub find_dependencies ()
};
}
- # If the file is of one of the above types, add the qualified
- # name to the list of dependencies. In addition, if it is in
- # a proper subdirectory, add an entry to the subdirs hash.
- unless ($qname eq "") {
- push @dependencies, $qname;
- $subdirs{$qname} = $subdir unless $subdir eq ".";
- }
+ # If the file is of one of the above types, add the qualified
+ # name to the list of dependencies. In addition, if it is in
+ # a proper subdirectory, add an entry to the subdirs hash.
+ unless ($qname eq "") {
+ push @dependencies, $qname;
+ $subdirs{$qname} = $subdir unless $subdir eq ".";
+ }
}
close DEPFILE;
@dependencies = sort @dependencies;
@@ -235,6 +235,13 @@ sub find_dependencies ()
print "REMOVING $numdups duplicate file(s)\n" if $verbose && $numdups;
@dependencies = sort keys %uniquedeps;
+ # If --listdeps was specified, output the list of dependencies.
+ if (@listdeps) {
+ @dependencies = map {abs2rel($_)} @dependencies if grep /^rel$/, @listdeps;
+ print join("\n", @dependencies), "\n";
+ exit 0 if grep /^only$/, @listdeps;
+ }
+
# Return the list of dependencies.
return @dependencies;
}
@@ -255,15 +262,16 @@ GetOptions ('texfile=s' => \$texfile,
'include=s' => \@include_files,
'config=s' => sub { process_config_file($_[1]) },
'verbose!' => \$verbose,
+ 'listdeps=s' => \@listdeps,
'version' => sub { print "bundledoc $VERSION\n"; exit -1 },
- 'help' => \$showhelp) || pod2usage (-exitval => -1, -verbose => 0);
+ 'help' => \$showhelp) || pod2usage (-exitval => 1, -verbose => 0);
pod2usage (-exitval => 0,
-verbose => 1) if $showhelp && $verbose;
pod2usage (-message => "(For more detailed help, enter \"$0 --help --verbose\".)",
-exitval => 0,
-verbose => 0) if $showhelp;
pod2usage (-message => "${progname}: Too few arguments",
- -exitval => -1,
+ -exitval => 1,
-verbose => 0) if $#ARGV==-1;
$depfile = shift; # Dependencies from snapshot.sty
($texfile = $depfile) =~ s/\.[^.]*$/.tex/ if !$texfile; # Main LaTeX source file
@@ -272,6 +280,17 @@ $depfile = shift; # Dependencies from snapshot.sty
print "BDBASE = '$ENV{BDBASE}'\n" if $verbose;
$ENV{"BDBASE"} = "\"$ENV{BDBASE}\"";
+# Expand and sanity check @listdeps.
+@listdeps = map {s/\s+//g; split /,/} @listdeps;
+foreach my $ldep (@listdeps) {
+ if ($ldep !~ /^(rel|only|yes|no)$/) {
+ pod2usage (-message => "${progname}: Invalid --listdeps option \"$ldep\"",
+ -exitval => 1,
+ -verbose => 0);
+ }
+}
+@listdeps = () if grep /^no$/, @listdeps;
+
# Create a bundled file.
my @dependencies = find_dependencies();
if ($keepdirs) {
@@ -307,11 +326,11 @@ else {
}
if ($manifest ne "") {
my $manifest = catfile $tempdir2, $manifest;
- my $manifestdir = dirname $manifest;
- unless (-d $manifestdir) {
- print "CREATING $manifestdir\n" if $verbose;
- mkpath($manifestdir, 0, 0777) || die "${progname}: $! ($manifestdir)\n";
- }
+ my $manifestdir = dirname $manifest;
+ unless (-d $manifestdir) {
+ print "CREATING $manifestdir\n" if $verbose;
+ mkpath($manifestdir, 0, 0777) || die "${progname}: $! ($manifestdir)\n";
+ }
print "WRITING $manifest\n" if $verbose;
open (MANIFEST, ">$manifest") || die "${progname}: $! ($manifest)\n";
print MANIFEST join ("\n", @dependencies), "\n";
@@ -355,6 +374,7 @@ bundledoc
[B<--exclude>=I<string>]
[B<--include>=I<filespec>]
[B<--manifest>=I<file>]
+[B<-->B<listdeps>=[yes|no|only|rel]...]
[B<-->[B<no>]B<keepdirs>]
[B<--config>=I<file>]
I<.dep file>
@@ -399,8 +419,8 @@ also be given:
=item B<--version>
-Output the B<bundledoc> script's version number. This overrides all the
-remaining options.
+Output the B<bundledoc> script's version number. This overrides all
+of the remaining options.
=item B<--help>
@@ -411,7 +431,6 @@ Give a brief usage message. This overrides all of the remaining options.
B<bundledoc> normally does not output anything except error messages.
With C<--verbose>, it outputs copious status messages.
-
=item B<--texfile>=I<main .tex file> (default: I<somefile>F<.tex>)
B<snapshot>'s dependency file does not list the main LaTeX file (the
@@ -463,6 +482,16 @@ something else, use the C<--manifest> option. As a special case,
C<--manifest=""> tells B<bundledoc> not to include a manifest file at
all.
+=item B<--listdeps>=[yes|no|only|rel]...] (default: C<no>)
+
+C<--listdeps> accepts one or more of C<yes>, C<no>, C<only>, or C<rel>
+as a comma-separated list. As long as C<no> does not appear in this
+list, B<bundledoc> outputs all of the main LaTeX file's dependencies.
+If the list contains C<rel>, then B<bundledoc> outputs the list of
+dependencies with relative pathnames. If the list contains C<only>,
+then B<bundledoc> exits after displaying the list, without producing
+an archive.
+
=item B<-->[B<no>]B<keepdirs> (default: C<nokeepdirs>)
Normally, the archive file that B<bundledoc> produces contains a
diff --git a/Master/texmf/doc/man/man1/arlatex.1 b/Master/texmf/doc/man/man1/arlatex.1
index 8ef4f1d12b0..2db9327c252 100644
--- a/Master/texmf/doc/man/man1/arlatex.1
+++ b/Master/texmf/doc/man/man1/arlatex.1
@@ -1,4 +1,4 @@
-.\" Automatically generated by Pod::Man 2.1801 (Pod::Simple 3.05)
+.\" Automatically generated by Pod::Man 2.22 (Pod::Simple 3.07)
.\"
.\" Standard preamble:
.\" ========================================================================
@@ -124,7 +124,7 @@
.\" ========================================================================
.\"
.IX Title "ARLATEX 1"
-.TH ARLATEX 1 "2010-04-09" " " "User Commands"
+.TH ARLATEX 1 "2011-05-01" "v1.02" "User Commands"
.\" For nroff, turn off justification. Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
diff --git a/Master/texmf/doc/man/man1/arlatex.man1.pdf b/Master/texmf/doc/man/man1/arlatex.man1.pdf
index 94cba9ba66a..38a80c458bd 100644
--- a/Master/texmf/doc/man/man1/arlatex.man1.pdf
+++ b/Master/texmf/doc/man/man1/arlatex.man1.pdf
Binary files differ
diff --git a/Master/texmf/doc/man/man1/bundledoc.1 b/Master/texmf/doc/man/man1/bundledoc.1
index 9f649f1d96f..c96c0fc8ec6 100644
--- a/Master/texmf/doc/man/man1/bundledoc.1
+++ b/Master/texmf/doc/man/man1/bundledoc.1
@@ -1,4 +1,4 @@
-.\" Automatically generated by Pod::Man 2.1801 (Pod::Simple 3.05)
+.\" Automatically generated by Pod::Man 2.22 (Pod::Simple 3.07)
.\"
.\" Standard preamble:
.\" ========================================================================
@@ -124,7 +124,7 @@
.\" ========================================================================
.\"
.IX Title "BUNDLEDOC 1"
-.TH BUNDLEDOC 1 "2010-04-09" " " "User Commands"
+.TH BUNDLEDOC 1 "2011-05-02" "v3.1" "User Commands"
.\" For nroff, turn off justification. Always turn off hyphenation; it makes
.\" way too many mistakes in technical documents.
.if n .ad l
@@ -143,6 +143,7 @@ bundledoc
[\fB\-\-exclude\fR=\fIstring\fR]
[\fB\-\-include\fR=\fIfilespec\fR]
[\fB\-\-manifest\fR=\fIfile\fR]
+[\fB\-\-\fR\fBlistdeps\fR=[yes|no|only|rel]...]
[\fB\-\-\fR[\fBno\fR]\fBkeepdirs\fR]
[\fB\-\-config\fR=\fIfile\fR]
\&\fI.dep file\fR
@@ -182,8 +183,8 @@ main LaTeX document (no extension).
also be given:
.IP "\fB\-\-version\fR" 4
.IX Item "--version"
-Output the \fBbundledoc\fR script's version number. This overrides all the
-remaining options.
+Output the \fBbundledoc\fR script's version number. This overrides all
+of the remaining options.
.IP "\fB\-\-help\fR" 4
.IX Item "--help"
Give a brief usage message. This overrides all of the remaining options.
@@ -238,6 +239,16 @@ the dependencies. To change the filename from ``\fI\s-1MANIFEST\s0\fR'' to
something else, use the \f(CW\*(C`\-\-manifest\*(C'\fR option. As a special case,
\&\f(CW\*(C`\-\-manifest=""\*(C'\fR tells \fBbundledoc\fR not to include a manifest file at
all.
+.ie n .IP "\fB\-\-listdeps\fR=[yes|no|only|rel]...] (default: ""no"")" 4
+.el .IP "\fB\-\-listdeps\fR=[yes|no|only|rel]...] (default: \f(CWno\fR)" 4
+.IX Item "--listdeps=[yes|no|only|rel]...] (default: no)"
+\&\f(CW\*(C`\-\-listdeps\*(C'\fR accepts one or more of \f(CW\*(C`yes\*(C'\fR, \f(CW\*(C`no\*(C'\fR, \f(CW\*(C`only\*(C'\fR, or \f(CW\*(C`rel\*(C'\fR
+as a comma-separated list. As long as \f(CW\*(C`no\*(C'\fR does not appear in this
+list, \fBbundledoc\fR outputs all of the main LaTeX file's dependencies.
+If the list contains \f(CW\*(C`rel\*(C'\fR, then \fBbundledoc\fR outputs the list of
+dependencies with relative pathnames. If the list contains \f(CW\*(C`only\*(C'\fR,
+then \fBbundledoc\fR exits after displaying the list, without producing
+an archive.
.ie n .IP "\fB\-\-\fR[\fBno\fR]\fBkeepdirs\fR (default: ""nokeepdirs"")" 4
.el .IP "\fB\-\-\fR[\fBno\fR]\fBkeepdirs\fR (default: \f(CWnokeepdirs\fR)" 4
.IX Item "--[no]keepdirs (default: nokeepdirs)"
diff --git a/Master/texmf/doc/man/man1/bundledoc.man1.pdf b/Master/texmf/doc/man/man1/bundledoc.man1.pdf
index 685ee26b787..e2d458a6830 100644
--- a/Master/texmf/doc/man/man1/bundledoc.man1.pdf
+++ b/Master/texmf/doc/man/man1/bundledoc.man1.pdf
Binary files differ
diff --git a/Master/tlpkg/libexec/ctan2tds b/Master/tlpkg/libexec/ctan2tds
index 2017992566c..b34c29092ff 100755
--- a/Master/tlpkg/libexec/ctan2tds
+++ b/Master/tlpkg/libexec/ctan2tds
@@ -87,6 +87,7 @@ chomp ($Build = `cd $Master/../Build/source && pwd`);
'analogclock', "die 'skipping, requires system font installation",
'annot_pro', "die 'skipping, per author (dps) request'",
'ans', "die 'skipping, LaTeX 2.09'",
+ 'ant-worker-tasks', "die 'skipping, Java'",
'antiqua', "&MAKEflatten",
'antomega', "die 'skipping, not ready'", #"&MAKEflatten",
'antp', "die 'skipping, use poltawski'",
@@ -2531,7 +2532,7 @@ sub dotype1{
# in the bin directories where needed. That Makefile is independently
# maintained, needs to be updated by hand when new user-visible scripts
# are added. We do add/update the script itself under linked_scripts.
-# We also make the symlinks/w32-wrapper-copy in Master/bin when new.
+# We also make the symlinks/w32-wrapper-copy in Master/bin.
#
sub doscripts {
my $scriptpatt = $specialscripts{$package};
@@ -2575,7 +2576,7 @@ sub doscripts {
&SYSTEM ("ln -s $linktarget $platdir/$linkname");
} else {
# Windows. If a shell script, skip. Else copy the wrapper.
- next if $s =~ /\.sh$|^[^.]+$/;
+ next if $s =~ /\.sh$/;
my $w32_wrapper = "$Build/$build_tldir/w32_wrapper/runscript.exe";
&SYSTEM ("$CP $w32_wrapper $platdir/$linkname.exe");
}